#include <string>

#include "global.hpp"
#include "vulkan/application.hpp"
#include "engine/camera.hpp"

int main() {
    Application app;

    try {
        app.run();
    } catch (const std::exception& e) {
        std::cerr << e.what() << std::endl;
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}
